%define anolis_release 18
Name:           perl-Module-Manifest
Version:        1.09
Release:        %{anolis_release}%{?dist}
Summary:        Parse and examine a Perl distribution MANIFEST file
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Module-Manifest
Source0:        https://cpan.metacpan.org/modules/by-module/Module/Module-Manifest-%{version}.tar.gz
BuildArch:      noarch
# Build:
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec) >= 0.80
BuildRequires:  perl(File::Spec::Unix)
BuildRequires:  perl(Params::Util) >= 0.10
# Tests:
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(Test::Exception) >= 0.27
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Warn)
# Optional tests:
# CPAN::Meta 2.120900 not helpful
# CPAN::Meta::Prereqs not helpful
# Dependencies:
Requires:       perl(File::Spec) >= 0.80
Requires:       perl(Params::Util) >= 0.10

# Do not export under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((File::Spec|Params::Util)\\)

%description
Module::Manifest can load a MANIFEST file that comes in a Perl distribution
tarball, examine the contents, and perform some simple tasks. It can also load
the MANIFEST.SKIP file and check that.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Module-Manifest-%{version}

chmod -c -x examples/*

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc examples
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc Changes CONTRIBUTING README

%changelog
* Mon Feb 6 2023 Funda Wang <fundawang@yeah.net> - 1.09-18
- Import package for anolis 23
